# Examples

## Fourier Series

Create a complex [Fourier Series](https://en.wikipedia.org/wiki/Fourier_series) to draw a `target_shape` which returns the shape when queried from 0 to 1

## Hilbert Curve

Interpolate between different order [Hilbert Curves](https://en.wikipedia.org/wiki/Hilbert_curve)

Highlights: `interp`, `lerp`, `ease`, seamless looping

## Mandelbrot

Render a Mandelbrot Set

Highlights: panning, zooming, drawing to pixels

## Poisson Disk Sampling

Distribute points evenly in a plane

Highlights: `random::poisson_disc_points`

## Prime Spiral

Numbers make spirals when plotted in polar coordinates

Inspired by <https://youtu.be/EK32jo7i5LQ>

Hightlights: `Vector2::from_polar`, panning, zooming

## Softbody

Full-fledged softbody simulation using damped springs

Highlights: `Grid`, `Spring`
