/*
 * SPDX-License-Identifier: MIT
 * Copyright (c) 2022 Jai Bellare
 * See <https://opensource.org/licenses/MIT/> or LICENSE.md
 * Project homepage: https://github.com/strangeQuark1041/samarium
 */

#pragma once

#include "./Color.hpp"

namespace sm::colors
{
inline constexpr auto transparent          = Color::from_hex("#00000000");
inline constexpr auto black                = Color::from_hex("#000000");
inline constexpr auto silver               = Color::from_hex("#c0c0c0");
inline constexpr auto gray                 = Color::from_hex("#808080");
inline constexpr auto white                = Color::from_hex("#ffffff");
inline constexpr auto maroon               = Color::from_hex("#800000");
inline constexpr auto red                  = Color::from_hex("#ff0000");
inline constexpr auto purple               = Color::from_hex("#800080");
inline constexpr auto fuchsia              = Color::from_hex("#ff00ff");
inline constexpr auto green                = Color::from_hex("#008000");
inline constexpr auto lime                 = Color::from_hex("#00ff00");
inline constexpr auto olive                = Color::from_hex("#808000");
inline constexpr auto yellow               = Color::from_hex("#ffff00");
inline constexpr auto navy                 = Color::from_hex("#000080");
inline constexpr auto blue                 = Color::from_hex("#0000ff");
inline constexpr auto teal                 = Color::from_hex("#008080");
inline constexpr auto aqua                 = Color::from_hex("#00ffff");
inline constexpr auto orange               = Color::from_hex("#ffa500");
inline constexpr auto aliceblue            = Color::from_hex("#f0f8ff");
inline constexpr auto antiquewhite         = Color::from_hex("#faebd7");
inline constexpr auto aquamarine           = Color::from_hex("#7fffd4");
inline constexpr auto azure                = Color::from_hex("#f0ffff");
inline constexpr auto beige                = Color::from_hex("#f5f5dc");
inline constexpr auto bisque               = Color::from_hex("#ffe4c4");
inline constexpr auto blanchedalmond       = Color::from_hex("#ffebcd");
inline constexpr auto blueviolet           = Color::from_hex("#8a2be2");
inline constexpr auto brown                = Color::from_hex("#a52a2a");
inline constexpr auto burlywood            = Color::from_hex("#deb887");
inline constexpr auto cadetblue            = Color::from_hex("#5f9ea0");
inline constexpr auto chartreuse           = Color::from_hex("#7fff00");
inline constexpr auto chocolate            = Color::from_hex("#d2691e");
inline constexpr auto coral                = Color::from_hex("#ff7f50");
inline constexpr auto cornflowerblue       = Color::from_hex("#6495ed");
inline constexpr auto cornsilk             = Color::from_hex("#fff8dc");
inline constexpr auto crimson              = Color::from_hex("#dc143c");
inline constexpr auto cyan                 = Color::from_hex("#00ffff");
inline constexpr auto darkblue             = Color::from_hex("#00008b");
inline constexpr auto darkcyan             = Color::from_hex("#008b8b");
inline constexpr auto darkgoldenrod        = Color::from_hex("#b8860b");
inline constexpr auto darkgray             = Color::from_hex("#a9a9a9");
inline constexpr auto darkgreen            = Color::from_hex("#006400");
inline constexpr auto darkgrey             = Color::from_hex("#a9a9a9");
inline constexpr auto darkkhaki            = Color::from_hex("#bdb76b");
inline constexpr auto darkmagenta          = Color::from_hex("#8b008b");
inline constexpr auto darkolivegreen       = Color::from_hex("#556b2f");
inline constexpr auto darkorange           = Color::from_hex("#ff8c00");
inline constexpr auto darkorchid           = Color::from_hex("#9932cc");
inline constexpr auto darkred              = Color::from_hex("#8b0000");
inline constexpr auto darksalmon           = Color::from_hex("#e9967a");
inline constexpr auto darkseagreen         = Color::from_hex("#8fbc8f");
inline constexpr auto darkslateblue        = Color::from_hex("#483d8b");
inline constexpr auto darkslategray        = Color::from_hex("#2f4f4f");
inline constexpr auto darkslategrey        = Color::from_hex("#2f4f4f");
inline constexpr auto darkturquoise        = Color::from_hex("#00ced1");
inline constexpr auto darkviolet           = Color::from_hex("#9400d3");
inline constexpr auto deeppink             = Color::from_hex("#ff1493");
inline constexpr auto deepskyblue          = Color::from_hex("#00bfff");
inline constexpr auto dimgray              = Color::from_hex("#696969");
inline constexpr auto dimgrey              = Color::from_hex("#696969");
inline constexpr auto dodgerblue           = Color::from_hex("#1e90ff");
inline constexpr auto firebrick            = Color::from_hex("#b22222");
inline constexpr auto floralwhite          = Color::from_hex("#fffaf0");
inline constexpr auto forestgreen          = Color::from_hex("#228b22");
inline constexpr auto gainsboro            = Color::from_hex("#dcdcdc");
inline constexpr auto ghostwhite           = Color::from_hex("#f8f8ff");
inline constexpr auto gold                 = Color::from_hex("#ffd700");
inline constexpr auto goldenrod            = Color::from_hex("#daa520");
inline constexpr auto greenyellow          = Color::from_hex("#adff2f");
inline constexpr auto grey                 = Color::from_hex("#808080");
inline constexpr auto honeydew             = Color::from_hex("#f0fff0");
inline constexpr auto hotpink              = Color::from_hex("#ff69b4");
inline constexpr auto indianred            = Color::from_hex("#cd5c5c");
inline constexpr auto indigo               = Color::from_hex("#4b0082");
inline constexpr auto ivory                = Color::from_hex("#fffff0");
inline constexpr auto khaki                = Color::from_hex("#f0e68c");
inline constexpr auto lavender             = Color::from_hex("#e6e6fa");
inline constexpr auto lavenderblush        = Color::from_hex("#fff0f5");
inline constexpr auto lawngreen            = Color::from_hex("#7cfc00");
inline constexpr auto lemonchiffon         = Color::from_hex("#fffacd");
inline constexpr auto lightblue            = Color::from_hex("#add8e6");
inline constexpr auto lightcoral           = Color::from_hex("#f08080");
inline constexpr auto lightcyan            = Color::from_hex("#e0ffff");
inline constexpr auto lightgoldenrodyellow = Color::from_hex("#fafad2");
inline constexpr auto lightgray            = Color::from_hex("#d3d3d3");
inline constexpr auto lightgreen           = Color::from_hex("#90ee90");
inline constexpr auto lightgrey            = Color::from_hex("#d3d3d3");
inline constexpr auto lightpink            = Color::from_hex("#ffb6c1");
inline constexpr auto lightsalmon          = Color::from_hex("#ffa07a");
inline constexpr auto lightseagreen        = Color::from_hex("#20b2aa");
inline constexpr auto lightskyblue         = Color::from_hex("#87cefa");
inline constexpr auto lightslategray       = Color::from_hex("#778899");
inline constexpr auto lightslategrey       = Color::from_hex("#778899");
inline constexpr auto lightsteelblue       = Color::from_hex("#b0c4de");
inline constexpr auto lightyellow          = Color::from_hex("#ffffe0");
inline constexpr auto limegreen            = Color::from_hex("#32cd32");
inline constexpr auto linen                = Color::from_hex("#faf0e6");
inline constexpr auto magenta              = Color::from_hex("#ff00ff");
inline constexpr auto mediumaquamarine     = Color::from_hex("#66cdaa");
inline constexpr auto mediumblue           = Color::from_hex("#0000cd");
inline constexpr auto mediumorchid         = Color::from_hex("#ba55d3");
inline constexpr auto mediumpurple         = Color::from_hex("#9370db");
inline constexpr auto mediumseagreen       = Color::from_hex("#3cb371");
inline constexpr auto mediumslateblue      = Color::from_hex("#7b68ee");
inline constexpr auto mediumspringgreen    = Color::from_hex("#00fa9a");
inline constexpr auto mediumturquoise      = Color::from_hex("#48d1cc");
inline constexpr auto mediumvioletred      = Color::from_hex("#c71585");
inline constexpr auto midnightblue         = Color::from_hex("#191970");
inline constexpr auto mintcream            = Color::from_hex("#f5fffa");
inline constexpr auto mistyrose            = Color::from_hex("#ffe4e1");
inline constexpr auto moccasin             = Color::from_hex("#ffe4b5");
inline constexpr auto navajowhite          = Color::from_hex("#ffdead");
inline constexpr auto oldlace              = Color::from_hex("#fdf5e6");
inline constexpr auto olivedrab            = Color::from_hex("#6b8e23");
inline constexpr auto orangered            = Color::from_hex("#ff4500");
inline constexpr auto orchid               = Color::from_hex("#da70d6");
inline constexpr auto palegoldenrod        = Color::from_hex("#eee8aa");
inline constexpr auto palegreen            = Color::from_hex("#98fb98");
inline constexpr auto paleturquoise        = Color::from_hex("#afeeee");
inline constexpr auto palevioletred        = Color::from_hex("#db7093");
inline constexpr auto papayawhip           = Color::from_hex("#ffefd5");
inline constexpr auto peachpuff            = Color::from_hex("#ffdab9");
inline constexpr auto peru                 = Color::from_hex("#cd853f");
inline constexpr auto pink                 = Color::from_hex("#ffc0cb");
inline constexpr auto plum                 = Color::from_hex("#dda0dd");
inline constexpr auto powderblue           = Color::from_hex("#b0e0e6");
inline constexpr auto rosybrown            = Color::from_hex("#bc8f8f");
inline constexpr auto royalblue            = Color::from_hex("#4169e1");
inline constexpr auto saddlebrown          = Color::from_hex("#8b4513");
inline constexpr auto salmon               = Color::from_hex("#fa8072");
inline constexpr auto sandybrown           = Color::from_hex("#f4a460");
inline constexpr auto seagreen             = Color::from_hex("#2e8b57");
inline constexpr auto seashell             = Color::from_hex("#fff5ee");
inline constexpr auto sienna               = Color::from_hex("#a0522d");
inline constexpr auto skyblue              = Color::from_hex("#87ceeb");
inline constexpr auto slateblue            = Color::from_hex("#6a5acd");
inline constexpr auto slategray            = Color::from_hex("#708090");
inline constexpr auto slategrey            = Color::from_hex("#708090");
inline constexpr auto snow                 = Color::from_hex("#fffafa");
inline constexpr auto springgreen          = Color::from_hex("#00ff7f");
inline constexpr auto steelblue            = Color::from_hex("#4682b4");
inline constexpr auto tan                  = Color::from_hex("#d2b48c");
inline constexpr auto thistle              = Color::from_hex("#d8bfd8");
inline constexpr auto tomato               = Color::from_hex("#ff6347");
inline constexpr auto turquoise            = Color::from_hex("#40e0d0");
inline constexpr auto violet               = Color::from_hex("#ee82ee");
inline constexpr auto wheat                = Color::from_hex("#f5deb3");
inline constexpr auto whitesmoke           = Color::from_hex("#f5f5f5");
inline constexpr auto yellowgreen          = Color::from_hex("#9acd32");
inline constexpr auto rebeccapurple        = Color::from_hex("#663399");
} // namespace sm::colors
